SameKeyLengthAs< T, IV_REQ, IV_L > Class Template Reference

support query of key length that's the same as another class More...

`#include <seckey.h>`

## Static Public Member Functions

static size_t | StaticGetValidKeyLength (size_t keylength)

## Static Public Attributes

static const int | MIN_KEYLENGTH =T::MIN_KEYLENGTH
static const int | MAX_KEYLENGTH =T::MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH =T::DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT =IV_REQ
static const int | IV_LENGTH =IV_L

## Detailed Description

### template<class T, unsigned int IV_REQ = SimpleKeyingInterface::NOT_RESYNCHRONIZABLE, unsigned int IV_L = 0>
class SameKeyLengthAs< T, IV_REQ, IV_L >

support query of key length that's the same as another class

Definition at line 114 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h